Subject: RE: ABR to the Internet collaboration (BOF?)

From: Michael Welzl <[email-masked]>
Date: Wed, 23 Aug 2000 12:01:32 +0200

Hi,

Two notes in advance:

- First, let's keep avt ([email-masked]) out of any future discussion. I
  left it in there just this once to let EVERYONE know about that.

- I just set up a mailing list on the subject and updated the page
accordingly.

To subscribe:
Send a mail to [email-masked] with the text
subscribe abr-internet
in the body of your message.

To unsubscribe:
Send a mail to [email-masked] with the text
unsubscribe abr-internet
in the body of your message.

The address for discussion is [email-masked]

> before we discuss what needs to be specified, it would be
> worth considering
> the benefits and backdraws of such an approach. While I have
> always been
> in favour of ABR-like mechanisms I am not sure that they
> really buy us much.

Agree.
The next thing I'll do is tidy the ns code (and example scripts)
and upload it so everyone can fool around with it.

> End-to-end approaches for measuring bottleneck bandwidth and
> MTU might be
> more complicated and less accurate than simply asking the
> routers for the
> information, but they are more secure and easier to use. I
> doubt that network
> providers would be willing to open their mibs just like that.

I have no tests or simulations with respect to MTU yet; this is just a
simple, MAYBE advantageous example I always use to explain how
the protocol works and why the idea isn't necessarily restricted
to bandwidth estimation.

> Even if they
> did, I am still not convinced that the information collected
> by PTP improve the
> adaptation process dramatically. The example you give in your
> paper is not
> very convincing ( however, as it the test description is very unclear
> I might have missed the point there)

I will of course answer any questions you might have about how the
simulations were performed. The topology used for the simulations
in "A stateless QoS Signaling Protocol for the Internet" can be
seen in the slides at
http://www.tk.uni-linz.ac.at/~michael/ptp/icpads2000.ppt
What else is unclear about the description?

Regarding improvements, I have only evaluated the packet loss ratio
so far and believe I achieved good results, especially with the
PTP / normal adaptation combo (normal down, PTP up). The combo yielded
a smaller packet loss ratio no matter how I changed the parameters
(with the exception of increasing the background traffic to a degree
where an unbearable amount of PTP packets get lost, of course).

I'm not saying that PTP bandwidth trend estimation is better than
ALS. In fact, it's almost certainly worse, but it imposes a lot
less work on routers (stateless, no need to keep track of active
flows) and still yields useful results.

I'm saying we should start categorizing the Content Types like this
(as a simplification, of course - we'd certainly need more specific
attributes like "work imposed on routers", "measured benefits", ...):

ALS:
- advantages, disadvantages
- recommended carriers

PTP BW Trend Estimation:
- advantages, disadvantages
- recommended carriers

...

See y'all on the mailing list,
Kind regards,
Michael Welzl